package LATMOS::Accounts::Web::Controller::Summary::Expire;
use Moose;
use namespace::autoclean;

BEGIN { extends 'Catalyst::Controller'; }

=head1 NAME

LATMOS::Accounts::Web::Controller::Expire - Catalyst Controller

=head1 DESCRIPTION

Catalyst Controller.

=head1 METHODS

=cut


=head2 index

=cut

sub index :Path :Args(0) {
    my ( $self, $c ) = @_;

        my $base = $c->model('Accounts')->db;

        my %exists = map { $_ => 1 } $base->search_objects('user', 'active=1');
        my %expire = $base->attributes_summary_by_object('user', 'expire');

        my %list = ();
        foreach (keys %expire) {
            $exists{$_} or next;
            my $ex = $expire{$_}->[0] or next;
            push(@{ $list{$ex} }, $_);
        }

        $c->stash->{expirelist} = \%list;
}



=encoding utf8

=head1 AUTHOR

Olivier Thauvin,Guyancourt - B1428,+33 1 80285052,

=head1 LICENSE

This library is free software. You can redistribute it and/or modify
it under the same terms as Perl itself.

=cut

__PACKAGE__->meta->make_immutable;

1;
